<?php
/* $Id: index.php,v 1.9 2005/01/16 15:36:26 dijkstra Exp $ */

require_once("class_session.inc");
require_once("class_layout.inc");

if (isset($symon['layout_dir'])) {
    $layout_dir = dir($symon['layout_dir']);
    $layouts = array();
    while ($layout = $layout_dir->read()) {
	$file_layout = $symon['layout_dir'].'/'.$layout;
	$extension = get_extension($layout);
	$layout = basename($layout, '.layout');
	if (is_file($file_layout) && $extension == 'layout') {
	    $symon['defaults']['layout']['namedvalues'][$layout] = $layout;
	}
    }
    $symon['defaults']['layout']['namedvalues']['default'] = 'default';
}

$session->getform('start');
$session->getform('end');
$session->getform('width');
$session->getform('heigth');
$session->getform('layout');
$session->getform('timespan');
$session->getform('size');

$hidden = '';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <title>symon statistics</title>
 <link rel="stylesheet" href="symon.css" type="text/css" />
</head>
<body>
 <table border="0" width="100%" cellspacing="0" cellpadding="0" align="center">
  <tr>
   <td valign="top">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
     <tr>
      <td width="2%"/>
      <td colspan="5" bgcolor="#555599"><img src="spacer.png" width="1" height="1" alt="|"/>
      <td width="2%"/>
     </tr>
     <tr>
      <!-- sidebar -->
      <td/>
      <td width="1" bgcolor="#555599"><img src="spacer.png" width="1" height="1" alt="|"/>
      <td bgcolor="#FFFFFF" valign="top" width="20%">
       <div class="left">
	<img src="symon.png" width="149" border="0" alt="[symon]" />
	<div class="section-head">Graph Options</div>
	<div class="left-links">
	 <form action="index.php" method="post">
	  <input type="hidden" name="action" value="view">
	  <table>
<?php
if (isset($symon['layout_dir'])) {
?>
	   <tr>
	    <td>Layout</td>
	    <td>
	     <select size="1" name="layout">
<?
$session->printoptions('layout', $symon['defaults']['layout']['namedvalues']);
?>
	     </select>
	    </td>
	   </tr>
<?php
} // endif layout_dir
?>
	   <tr>
	    <td>Timespan</td>
	    <td>
	     <select size="1" name="timespan">
<?php
$values = array();
foreach ($symon['defaults']['timespan']['namedvalues'] as $key => $value) {
    $values[$key] = $key;
}
$session->printoptions('timespan', $values);
?>
	     </select>
	    </td>
	   </tr>
<?php
if ($session->get('timespan') == 'custom') {
    print '<tr><td>Start</td>
	    <td><input type="text" name="start" value="'. $session->get("start") . '"></td>
	   </tr><tr>
	    <td>End</td>
	    <td><input type="text" name="end" value="'. $session->get("end") .'"></td>
	   </tr>';
} else {
    $hidden = '<input type="hidden" name="start" value="'. $session->get("start") . '">
	   <input type="hidden" name="end" value="'. $session->get("end") .'">';
}
?>
	   <tr>
	    <td>Size</td>
	    <td>
	     <select size="1" name="size">
<?php
$values = array();
foreach ($symon['defaults']['size']['namedvalues'] as $key => $value) {
    $values[$key] = $key;
}
$session->printoptions('size', $values);
?>
	     </select>
	    </td>
	   </tr>
<?php
if ($session->get('size') == 'custom') {
    print '<tr>
	    <td>Width</td>
	    <td><input type="text" name="width" value="'. $session->get("width") .'">
	   </tr><tr>
	    <td>Heigth</td>
	    <td><input type="text" name="heigth" value="'. $session->get("heigth") .'">
	    </td>
	   </tr>';
} else {
    $hidden .= '<input type="hidden" name="width" value="'. $session->get("width") .'">
	   <input type="hidden" name="heigth" value="'. $session->get("heigth") .'">';
}
?>
	  </table>
	  <?php print $hidden ?>
	  <input type="submit" value="redraw">
	  </form>
	</div>
       </div>
      </td>

     <!-- main window -->
      <td width="1" bgcolor="#555599"><img src="spacer.png" width="1" height="1"></td>
      <td bgcolor="#FFFFFF" valign="top">
<?php
	 $layout = $session->get("layout");
	 if ($layout == 'default') {
	     $layout = '';
	 }
	 $l = new Layout($layout);
?>
       <div align="center" class="blue">
	<table align="center" bgcolor="#6699CC" border="0" cellpadding="0" cellspacing="0">
	 <tr><td>
<?php
	 // get machines
	 $gts = $l->getgrouptitles();
	 foreach($gts as $gt) {
	     print '<a class="blue" href="index.php#' . $gt .'">'. $gt . '</a>';
	 }
?>
	 </td></tr>
	</table>
       </div>

       <div class="items">

<?php
	 $l->render($session);
?>
       <div class="copyright">Copyright &copy; 2003-2005 Willem Dijkstra</div>
      </div> <!-- end items div -->
      </td> <!-- end main window -->

      <!-- horizontal endline -->
      <td width="1" bgcolor="#555599"><img src="spacer.png" width="1" height="1" alt="|" /></td>
     </tr>

      <!-- vertical endline -->
     <tr>
      <td width="2%"/>
      <td colspan="5" bgcolor="#555599"><img src="spacer.png" width="1" height="1" alt="|" /></td>
      <td width="2%"/>
     </tr>

    </table>
   </td>
   <td width="2%"/>
  </tr>
 </table>
</body>
</html>
